package com.bonus.core.customer.dto;

import com.bonus.core.common.page.PageDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

@Data
public class CustNoticeInfoPageDTO extends PageDTO {
   @ApiModelProperty("收信人类型")
   private Integer recipientType;
   @ApiModelProperty("下单开始时间")
   private LocalDateTime startOrderTime;
   @ApiModelProperty("下单结束时间")
   private LocalDateTime endOrderTime;
   @ApiModelProperty("组织id集合")
   private List<Long> orgIdList;
   @ApiModelProperty("通知人员类型")
   private Integer noticeUserType;
   @ApiModelProperty("关键字")
   private String keywords;

   public Integer getRecipientType() {
      return this.recipientType;
   }

   public LocalDateTime getStartOrderTime() {
      return this.startOrderTime;
   }

   public LocalDateTime getEndOrderTime() {
      return this.endOrderTime;
   }

   public List<Long> getOrgIdList() {
      return this.orgIdList;
   }

   public Integer getNoticeUserType() {
      return this.noticeUserType;
   }

   public String getKeywords() {
      return this.keywords;
   }

   public void setRecipientType(final Integer recipientType) {
      this.recipientType = recipientType;
   }

   public void setStartOrderTime(final LocalDateTime startOrderTime) {
      this.startOrderTime = startOrderTime;
   }

   public void setEndOrderTime(final LocalDateTime endOrderTime) {
      this.endOrderTime = endOrderTime;
   }

   public void setOrgIdList(final List<Long> orgIdList) {
      this.orgIdList = orgIdList;
   }

   public void setNoticeUserType(final Integer noticeUserType) {
      this.noticeUserType = noticeUserType;
   }

   public void setKeywords(final String keywords) {
      this.keywords = keywords;
   }




}
